"Can't locate loadable object..." on Mac OS

Discussions on installation issues go here.

Moderator: Moderators

sanyal
Posts: 2
Joined: 05 Sep 2011, 12:06

"Can't locate loadable object..." on Mac OS

Postby sanyal » 05 Sep 2011, 12:23

Hello,

I successfully installed (i.e. no problems when compiling from source) polymake on Mac OS 10.6 but it
won't run. The error message I get is

Can't locate loadable object for module Polymake::Ext in @INC (@INC contains: /usr/local/share/polymake/perllib /usr/local/lib/polymake/perlx /sw/lib/perl5/5.10.0/darwin-thread-multi-2level /sw/lib/perl5/5.10.0 /sw/lib/perl5/darwin-thread-multi-2level /sw/lib/perl5 /sw/lib/perl5/darwin /Library/Perl/Updates/5.10.0 /System/Library/Perl/5.10.0/darwin-thread-multi-2level /System/Library/Perl/5.10.0 /Library/Perl/5.10.0/darwin-thread-multi-2level /Library/Perl/5.10.0 /Network/Library/Perl/5.10.0/darwin-thread-multi-2level /Network/Library/Perl/5.10.0 /Network/Library/Perl /System/Library/Perl/Extras/5.10.0/darwin-thread-multi-2level /System/Library/Perl/Extras/5.10.0 .) at /usr/local/share/polymake/perllib/Polymake/Namespaces.pm line 18

Any ideas?

paffenholz
Developer
Posts: 182
Joined: 24 Dec 2010, 13:47

Re: "Can't locate loadable object..." on Mac OS

Postby paffenholz » 06 Sep 2011, 13:54

Hmmm. Is the perl version used to compile polymake the same as the one you use to run it? What does perl --version say? And what directories are at /usr/local/lib/polymake/perlx ?

User avatar
gawrilow
Main Author
Posts: 354
Joined: 25 Dec 2010, 17:40

Re: "Can't locate loadable object..." on Mac OS

Postby gawrilow » 06 Sep 2011, 17:21

Dear Raman,

please look at first at the head line in the executable polymake main script. It should start with something like #!/usr/bin/arch . The architecture and perl interpreter path should exactly match those used during configuration and compilation phases (check the file build.darwin.XXX/conf.make).

sanyal
Posts: 2
Joined: 05 Sep 2011, 12:06

Re: "Can't locate loadable object..." on Mac OS

Postby sanyal » 08 Sep 2011, 09:25

Andreas, the "/usr/local/lib/polymake/perlx" was a good hint. The perlx directory (+subtree)
had the wrong permissions "drwxr-x---". Is maybe "make install" not setting them right?


Return to “Installing polymake”

cron